<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Documento sin título</title>
<link href='http://fonts.googleapis.com/css?family=Roboto+Slab' rel='stylesheet' type='text/css'>
<link href="objetos.css" rel="stylesheet" type="text/css">
<script src="ointroduccion.js"></script>
</head>

<body>
<div class="cajas entrada">
<pre>
	/* Vamos a crear una clase */

	const Persona=function(){
		// propiedad privada
		let nombre;
		// metodos publicos
		this.dormir=function(){
			console.log("ZZZZZZZZZZZZ");
		};
		
		this.hablar=function(){
			console.log("BLA BLA BLA");
		};
		
		this.contar=function(){
			console.log("1 2 3 4 5 6");
		};
		
		this.setNombre=function(valor){
			nombre=valor;
		};
		
		this.getNombre=function(){
			return nombre;
		};
	};
	
	/* vamos a crear un objeto con una instancia de la clase */
	const alumno=new Persona();
	
	alumno.dormir();
	alumno.hablar();
	alumno.contar();
	alumno.setNombre(prompt("introduce el nombre"));
	console.log(alumno.getNombre());

</pre>
</div>
<div class="cajas salida" >
<div class="titulo">
Ejemplo Introduccion
</div>
<div class="explicacion">
	Mediante este ejemplo vamos a ver como crear un clase y generar un objeto a traves de ella.
</div>
</div>
</body>
</html>
